html, body {
    height: 100%;
}

.h1{
    color: white !important;
}

.bg-dark-blue-3ra{
    background-color: #1C2A36;
}

.bg-blue-3ra{
    background-color: #219DE6;
}

.bg-dark-gray-3ra{
    background-color: #66717F;
}

.transparent-bg-dark-blue-3ra{
    background: rgba(28,42,54,0.8);
}

.transparent-bg-blue-3ra{
    background: rgba(33,157,230,0.8);
}

.transparent-bg-dark-gray-3ra{
    background: rgba(102,113,127,0.8);
}

.blue-underline-3ra{
    border-bottom: 3px solid #219DE6;
    padding: 0 0 4px;
}

.dark-blue-underline-3ra{
    border-bottom: 3px solid #1C2A36;
    padding: 0 0 4px;
}

.dark-gray-underline-3ra{
    border-bottom: 3px solid #66717F;
    padding: 0 0 4px;
}

.white-underline-3ra{
    display: inline-block;
    position: relative;
    padding: 0 0 4px;
    font-family: Arial, Helvetica, sans-serif;
}

.white-underline-3ra::before{
    content: "";
    position: absolute;
    width: 50%;
    height: 1px;
    bottom: 0;
    left: 0;
    border-bottom: 3px solid white;
}
.alert{
    border-radius: 0;
    font-size: 15px;
    border-bottom: none;
    border-top: none;
    border-right: none;
    opacity: 0.8 !important;
}

.alert-danger{
    border-left: solid 5px #DC3545;
}

.alert-success{
    border-left: solid 5px #28A745;
}

#loading-page{
    background-color: #324B61;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: fixed;
    z-index: 5;
}

.loader{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.text-dark-blue-3ra{
    color: #1C2A36;
}

.text-blue-3ra{
    color: #219DE6;
}

.text-dark-gray-3ra{
    color: #66717F;
}

.hidden{
    display: none !important;
}

.show{
    display: block !important;
}

.show-text{
    position: relative;
    z-index: 2;
}

.show-lg{
    font-weight: 700;
    font-size: 5.2rem;
    line-height: 1.1;
}

.home-small-font{
    font-family: "Montserrat", sans-serif !important;
    font-size: 2rem !important;
    line-height: 1.1 !important;
}

.section-mt{
    margin-top: 7rem;
}

.center-all{
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: auto;
}

.align-contents{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    text-align: left;
}

#home{
    background-image: url("../images/php.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding-top: 4.5rem;
    width: 100%;
    position: relative;
}

#home::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background: rgba(28,42,54,0.7);
}

#about h1:first-child{
    text-align: center;
    background: rgba(28,42,54,0.3);
}

#solutions h1:first-child{
    text-align: center;
    background: rgba(33,157,230,0.2);
}

#contact h1:first-child{
    text-align: center;
    background: rgba(28,42,54,0.4);
}

.default-nav{
    transition: 0.4s;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    background-color: transparent !important;
    border: none !important;
}

.scrolled-nav{
    transition: 0.4s;
    padding-top: 0;
    padding-bottom: 0;
    background: rgba(38,57,74,0.8);
    border-bottom: 3px solid #219DE6;
}

.thick-line-horizontal{
    border-bottom: 5px solid #219DE6;
    display: inline-block;
    width: 10rem;
}

.thick-line-vertical{
    background-color: #219DE6;
    display: block;
    height: 13rem;
    width: 2px;
    margin: 1rem auto;
}

.uppercase{
    text-transform: uppercase;
}

.full-screen-height{
    min-height: 100%;
    height:auto !important;
    overflow: hidden !important;
}

#scroll {
    position: fixed;
    right: 10px;
    bottom: 10px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    background-color: #1C2A36;
    text-indent: -9999px;
    display: none;
    -webkit-border-radius: 60px;
    -moz-border-radius: 60px;
    border-radius: 60px;
    z-index: 3;
}

#scroll span {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -8px;
    margin-top: -12px;
    height: 0;
    width: 0;
    border: 8px solid transparent;
    border-bottom-color: #ffffff;
}

#scroll:hover {
    background-color: #219DE6;
    opacity:1;filter:"alpha(opacity=100)";
    -ms-filter:"alpha(opacity=100)";
}

.justify{
    text-align: justify;
    text-justify: inter-word;
}

#contact{
    background-image: url("../images/contact-us.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

#contact::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background: rgba(28,42,54,0.3);
}

#contactForm{
    margin-top: 1rem !important;
}

.contact-container{
    display: block;
    margin: 1rem 0;
    border-bottom: white solid 2px;
    background: rgba(33,157,230,0.5);
    padding: 10px;
    word-break: break-all;
}

.contact-method{
    color: white;
    font-size: 1rem;
    width: 80%;
    text-transform: uppercase;
}

.contact-icon{
    color: #1C2A36;
    font-size: 35px;
    top: 0;
    left: 0;
}

.contact-standout{
    font-size: 16px;
    color: white;
    cursor: pointer;
    text-transform: lowercase;
}

input, textarea{
    border: none !important;
    border-bottom: 2px solid #219DE6 !important;
    background: rgba(28,42,54,0.3) !important;
    color: white !important;
    margin-bottom: 2.5rem !important;
}

textarea{
    resize: none;
}

::placeholder {
    color: white !important;
    opacity: 0.65 !important;
    font-size: 15px !important;
}

.btn-half{
    width: 50%;
}

.solution-container{
    border-bottom: 4px solid #219DE6;
    border-top: 1px solid #219DE6;
    min-height: 100%;
    position: relative;
}

#solutions .col-md-3{
    margin-bottom: 30px;
}

.solution-container img{
    max-width: 100%;
    min-height: 255px;
    object-fit: cover;
    z-index: 1;
}

.solution-label, .solution-container img::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2.5rem;
    z-index: 2;
    background: rgba(28,42,54,0.8);
    text-align: center;
    transition: all 0.4s ease;
}

.solution-container:hover > .solution-label{
    height: 100%;
    font-size: 2.5rem;
    transition: all 0.4s ease;
}

/*
    Flip Cards CSS
*/

.flip-card {
    background-color: transparent;
    /*width: 300px;*/
    height: 300px;
    perspective: 1000px;
}

.flip-card img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
    min-height: 100%;
    min-width: 100%;
}

.flip-card-label, .flip-card img::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2.5rem;
    background: rgba(28,42,54,0.8);
    color: white;
    font-size: 18px;
    text-align: center;
    transition: all 0.4s ease;
}

.flip-card-inner {
    border-bottom: 4px solid #219DE6;
    border-top: 1px solid #219DE6;
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-card-front, .flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
}

.flip-card-front {
    background-color: #bbb;
    color: black;
}

.flip-card-back {
    background: rgba(33,157,230,0.9);
    /*background-color: #219DE6;*/
    color: white;
    transform: rotateY(180deg);
    overflow: auto;
}

.flip-card-back h3 {
    font-weight: bold;
    padding: 10px;
}

.flip-card-back ul {
    text-align: left;
}

/* End Flip Card CSS */
/*******/

/*
    Footer CSS
*/

footer{
    color: white;
    font-size: 14px;
    font-family: Arial, Helvetica, sans-serif;
}

footer hr{
    background-color: #219DE6;
}

/* End Footer CSS */
/*******/

/* Scroll Bar CSS */

/* width */
::-webkit-scrollbar {
    width: 20px;
}

/* Track */
::-webkit-scrollbar-track {
    background: rgba(38,57,74,0.7);
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgba(38,57,74,0.8);

}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: rgba(38,57,74,1);
}

/* End Scroll Bar CSS */


/* Card Additional CSS */

.card {
    border: none;
    border-bottom: 4px solid #1C2A36;
    border-radius: 0;
    transition: all 0.5s ease
}

.card:hover {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
    transition: all 0.5s ease;
}

.card-body {
    padding: 10px;
}

/* End Card Additional Css */

@media(max-width: 575px){
    .show-lg{
        font-weight: 400;
        font-size: 2.5rem;
        line-height: 1.1;
    }

    .hide-media{
        display: none;
    }

    .thick-line-vertical{
        display: none;
    }

    .section-mt{
        margin-top: 5.8rem;
        margin-bottom: 1.5rem;
    }

    #home{
        padding-top: 2.5rem;
    }

    #home h1:first-child{
        font-size: 1.5rem;
    }

    .default-nav {
        background: rgba(38,57,74,1) !important;
    }

    .scrolled-nav {
        background: rgba(38,57,74,1);
    }

    .default-nav{
        border-bottom: 3px solid #219DE6 !important;
        padding-top: 8px !important;
        padding-bottom: 8px !important;
    }

}

@media(min-width: 575px){
    .show-lg{
        font-weight: 600;
        font-size: 4rem;
        line-height: 1.1;
    }

    .hide-media{
        display: none;
    }

    .thick-line-vertical{
        display: none;
    }

    .section-mt{
        margin-top: 6rem;
    }

    #home h1:first-child{
        font-size: 2rem;
    }

    .default-nav {
        background: rgba(38,57,74,1) !important;
    }

    .scrolled-nav {
        background: rgba(38,57,74,1);
    }

    .default-nav{
        border-bottom: 3px solid #219DE6 !important;
        padding-top: 8px !important;
        padding-bottom: 8px !important;
    }

}

@media(min-width: 768px){
    .show-lg{
        font-weight: 600;
        font-size: 4rem;
        line-height: 1.1;
    }

    .hide-media{
        display: inline-block;
    }

    .thick-line-vertical{
        display: block;
    }

    .section-mt{
        margin-top: 7rem;
    }

    #home h1:first-child{
        font-size: 2rem;
    }

    .default-nav {
        background: rgba(38,57,74,1) !important;
    }

    .scrolled-nav {
        background: rgba(38,57,74,1);
    }

    .default-nav{
        border-bottom: 3px solid #219DE6 !important;
        padding-top: 8px !important;
        padding-bottom: 8px !important;
    }

}

@media(min-width: 992px){
    .show-lg{
        font-weight: 700;
        font-size: 5rem;
        line-height: 1.1;
    }

    .hide-media{
        display: inline-block;
    }

    .thick-line-vertical{
        display: block;
    }

    .section-mt{
        margin-top: 7rem;
    }

    #home h1:first-child{
        font-size: 2rem;
    }

    .default-nav{
        padding-top: 10px !important;
        padding-bottom: 10px !important;
        border: none !important;
        background-color: transparent !important;
    }

    .scrolled-nav{
        background: rgba(38,57,74,0.8);
    }

}